version: "3"
services:
  lb:
    image: traefik
    container_name: traefik
    ports:
      - 9000:8080
      - 80:80
    volumes:
      - ./traefik/traefik.yml:/etc/traefik/traefik.yml
      - ./traefik/routing.yml:/etc/traefik/routing/routing.yml
      - /var/run/docker.sock:/var/run/docker.sock
  db:
    # Non persistant shared cache
    image: redis
    container_name: redis
    command:
      - --loglevel
      - warning
  renderer1:
    image: ghcr.io/zenato/puppeteer-renderer:latest
    container_name: renderer1
  renderer2:
    image: ghcr.io/zenato/puppeteer-renderer:latest
    container_name: renderer2
    # volumes:
      # -
  celcat1:
    build:
      context: ./CY-celcat
      dockerfile: Dockerfile
    container_name: celcat1
    volumes:
      - ./celcat.json:/cycelcat/config.json
  celcat2:
    build:
      context: ./CY-celcat
      dockerfile: Dockerfile
    container_name: celcat2
    volumes:
      - ./celcat.json:/cycelcat/config.json

volumes:
  html:
